<?php

namespace App\Interfaces;

use App\Entities\Customer\ServiceEntity;
use App\Entities\PaymentEntity;

interface PaymentInterface
{
  public function createForService(ServiceEntity $service, int $amount): PaymentEntity;
  public function updateForService(ServiceEntity $service, string $payment_uid, int $amount): PaymentEntity;
  public function unlinkFromService(string $payment_uid): PaymentEntity;
}
